मुख्य सामग्री पर जाएं
GET
/
2
/
notes
/
search
/
notes_written
लिखे गए Community Notes खोजें
curl --request GET \
  --url https://api.x.com/2/notes/search/notes_written \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1146654567674912769",
      "post_id": "1346889436626259968",
      "info": {
        "misleading_tags": [],
        "text": "<string>",
        "trustworthy_sources": true
      },
      "test_result": {
        "evaluator_score_bucket": "<string>",
        "evaluator_type": "<string>"
      }
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "next_token": "<string>",
    "result_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

प्राधिकरण

Authorization
string
header
आवश्यक

The access token received from the authorization server in the OAuth 2.0 flow.

क्वेरी पैरामीटर

test_mode
boolean
आवश्यक

यदि true है, तो परीक्षण के लिए कॉलर द्वारा लिखे गए नोट्स लौटाएँ। यदि false है, तो प्रोडक्ट पर कॉलर द्वारा लिखे गए नोट्स लौटाएँ।

pagination_token
string

नोट्स के लिए पात्र पोस्ट्स का अगला सेट प्राप्त करने हेतु पेजिनेशन टोकन।

max_results
integer<int32>
डिफ़ॉल्ट:10

लौटाए जाने वाले परिणामों की अधिकतम संख्या।

आवश्यक सीमा: 1 <= x <= 100
note.fields
enum<string>[]

प्रदर्शित करने के लिए Note फ़ील्ड्स की अल्पविराम-से-अलग सूची। Note ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।

Minimum array length: 1
उपलब्ध विकल्प:
id,
info,
status,
test_result
उदाहरण:
["id", "info", "status", "test_result"]

प्रतिक्रिया

अनुरोध सफल रहा है।

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।

meta
object